@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap');

body{
  font-family: 'Lato', sans-serif;
}
.main{
  position: sticky;
  top: 0;
  z-index: 1;
}

.header{
  background-color: white;
  padding: 0 10%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}


.main-logo{
  width:40%
}

.search-container{
  position: relative;
  left: -150px;
  width:40%
}

.search-container input{
  width: 100%;
  height: 40px;
  border-radius: 4px;
  font-size: 16px;
}

.user{
  position: relative;
  left: -80px;
  display: flex;
}

.user  button{
  background-color: #9ACD32;
  font-weight: 700;
  border-radius: 6px;
  font-size: 16px;
  height: 40px;
  width: 100px;
  border: none;
  margin: 0 10px;
  align-self: center;
}

.user button:hover{
  color: white;
  transition: 450ms;
}

.left-labels > div> img{
  width: 24px;
}


.user p{
  font-size: 14px;
}

.contact-labels{
  position: relative;
  left: 50px;
  width: 120%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.contact-labels p{
  margin-top: 20px;
  
}

.basket{
  position: relative;
  top:24px;
}

.basket img{
  position: relative;
  top: 10px;
  left: 50px;
  width : 60px;
  height: 60px;
}

.basket-labels{
  width: 200px;
  flex-direction: column;
}

.hover-container{
  display: flex;
  padding: 0 10px;
  justify-content: space-between;
  width:400px;
  height: 100px;
}

.view-basket{
  background-color: #9ACD32;
  border: none;
  color: white;
  font-weight: 500;
  width: 100%;
}

.hover-container > div img{
  position: relative;
  left: 0;
  width: 80px;
  height: 80px;
}

.contact-location{
  position: absolute;
  top: 110px;
  right:10%;
  display: flex;

}

.contact-location p{
  margin: 0 18px;
  font-weight: 700;
  color: grey;
}

.contact-location p:hover{
  color: #9ACD32;
  transition: 450ms;
}
.second > :nth-child(2){
  position: relative;
  left: 410px;
  top:-56px;
  display: inline;
  padding: 10px 25px;
}

.second > :nth-child(2):hover{
  background-color: #FF4500;
  color: white;
}


ul{
  width: 100%;
  padding: 0;
  list-style: none;
  background: white
}
ul li {
  display: inline-block;
  position: relative;
  text-align: center;
}
ul li p {
  display: block;
  padding: 8px 25px;
  color: #333;
  font-size: 18px;
  margin: 0;


  font-weight: 700;
}
ul li p:hover {
  color: black;
  border-radius: 0px;

}
ul li ul.dropdown {
  min-width: 100%; 
  background: white;
  display: none;
  position: absolute;
  z-index: 999;
  left: 0;
}
ul li:hover ul.dropdown {
  display: block; 

}
ul li ul.dropdown li {
  display: block;
}

.drop-down{
  padding:0 10%;
}

.groceries-container{
  margin: 0 10% 6% 10%;
  display: flex;
  flex-wrap: wrap;
  background-color: #FFFAF0;
  
}

.product-card{
  margin: 40px 22px 40px 21px;
  background-color: white;
  border-radius: 20px;
  height: 400px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.image-container{
  display: flex;
  height: 100%;
}

.image-container > img{
  width:250px;
  object-fit: fill;
  padding: 50px;
  
}

.cart-button-image{
  width: 30px
}

.cart-container{
  padding: 0 10% 4% 10%;
  display: flex;
  justify-content: center;
  background-color: #f6f6f6;

}

.cart-container > :nth-child(1){
  display: flex;
  flex-wrap: wrap;
}
.cart-container >:nth-child(2){
  position: relative;
  top: 0px;
  background-color: white;
  border-radius: 20px;
  width: 45%;
  height: 450px;
}

.cart-item{
  margin: 50px 10px;
  border: 2px solid black;
  border-radius: 5px;
  height: 350px;
  display: flex;
  flex-direction: column;
}

.price-labels{
  padding: 2%;
  width: 30%;
  display: flex;
  flex-direction: column;
  margin-top: 3%;

}

.check-out{
  width: 80%;

}

.check-out > button{
  margin-top: 50px;
  margin-left: 10%;
  background-color: #9ACD32;
  width: 100%;
  padding: 10px;
  border-radius: 10px;
  border: none;
  color: white;
  font-weight: 700;
}
.check-out > button:hover{
  color: #9ACD32;
  background-color: white;
}


.right-names{
  display: flex;
  flex-direction: column;
  margin-left: 20px;
}
.left-labels{
  width: 35%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.left-labels > :nth-child(1){
  display: flex;

}

.left-labels > :nth-child(1) > img{
  margin-top: 2px;
  width: 20px;
  height: 20px;
  
}

.label-name{
  font-size: 24px;
  font-weight: 700;
}

.label-category{
  font-size: 16px;
  color: grey;
  font-weight: 700;
}

.label-price{
  font-size: 22px;
  font-weight: 700;
  color: #9ACD32;
}

.label-rating{
  font-size: 16px;
  font-weight: 700;
}

.labels-container{
  display: flex;
  justify-content: space-between;
}


.add-cartButton{
  display: flex;
  width:60px;
  height: 60px;
  margin-bottom: 20px;
}

.delete-cartButton{
  display: flex;
  width:40px;
  height: 40px;
  font-size: 40px;
}

.add-cart{
  font-weight: 700;
  width: 100%;
  background-color: #9ACD32;
  border-radius: 10px 0 0 10px ;
  margin-left: auto;
  margin-right: auto;
  border: none;
}

.delete-cart{
  font-weight: 700;
  width: 100%;
  background-color: #9ACD32;
  border-radius: 10px 0 0 10px ;
  text-align: center;
  border: none;

}


.image {
  width: 300px;
  height: 500px;
}
.cat-banners {
  display: flex;
  margin-top: 2%;
  justify-content: space-between;
}


.cat-banners > div{
  height: 80px;
  width: 18%;
  text-align: center;
  font-size: 18px;
}

.child {
  margin-top: 4rem;
  gap: 10px;
}

.child-1 {
  background-color: rgb(232, 232, 232);
  border-radius: 5px;
  font-weight: bold;
}

.child-2 {
  background-color: rgb(212, 60, 49);
  border-radius: 5px;
  font-weight: bold;
}

.child-3 {
  background-color: rgb(132, 194, 41);
  border-radius: 5px;
  font-weight: bold;
}

.best-offers{
  border: 2px solid red;
  display: flex;
  justify-content: space-between;
}

.most-popular{
  display: flex;
  justify-content: space-between;
  
}

.deals{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  /* border: 2px solid red; */
}

.deals > div{
  width:18%;
}

.deals > div > img{
  width: 14vw;
}

.deals-container {
  width: 16rem;
}

#about{
  padding: 16px 10px 12px 10px;
}

#about h3{
  font-size: 24px;
}

.about-content{
  font-size: 16px;
  margin-top: 10px;
}



.read-more {
  background-color: #9ACD32;
  color: white;
  border-radius: 6px;
  margin-top: 16px;
}

.btn:focus,
.btn:active {
  
  outline: none !important;
  box-shadow: none;
}



@media (max-width:480px){


  .fruits-vegetables{
    display: none;
    position: absolute;
  }

  .main{
    position: sticky;
    top: 0;
  }

  .header{
    padding: 0 0;
    display: initial;
    background-color: white;
  }

  .logo-container{
    background-color: white;

  }

  .main-logo{
    width:45%
  }
  
  .search-container{
    background-color: white;

    position: relative;
    left: 0;
    width:100%
  }
  
  .search-container input{
    margin-left: 2%;
    width: 96%;
    height: 40px;
    border-radius: 4px;
    font-size: 16px;
  }
  
  .user{
    background-color: white;

    position: relative;
    left: 0px;
    display: flex;
  }
  
  .user button{
    display: none;
    position: absolute;

    position: relative;
    top:-100px;
    left: 230px;
    background-color: #9ACD32;
    font-weight: 700;
    border-radius: 6px;
    font-size: 10px;
    height: 32px;
    width: 62px;
    border: none;
    margin: 0 10px;
    align-self: center;
  }
  
  .user button:hover{
    color: white;
    transition: 450ms;
  }

  .carousel-inner{
    margin-top: -50px;
  }

  .shop-category{
    position: relative;
    top:-84px;
    left:0;
    width:100%
  }

  .shop-title{
    position: relative;
    left:50px;
    padding-top: 20px;
    padding-left: 50px;

  }

  .carousel-inner{
    margin-top: -100px;
  }

  .cat-banners {
    display: flex;
    flex-direction: column;
    margin-top: 0%;
    justify-content: space-between;
  } 

  .cat-banners > div{
    margin-top: 5%;
    height:40px;
    width: 100%;
    text-align: center;
    font-size: 12px;
  }


  .second>:nth-child(2){
    display: none;
    position: absolute;
    left: 0;
  }
  
  .left-labels > div> img{
    display: none;
    position: absolute;

    width: 24px;
  }
  
  
  .user p{
    display: none;
    position: absolute;

    font-size: 14px;
  }
  
  .contact-labels{
    display: none;
    position: absolute;

  }
  
  .contact-labels p{
    display: none;
    position: absolute;

    margin-top: 20px;
    
  }
  
  .basket{
    
    position: relative;
    top: -120px;
    margin-left:50vw;
  }

  
  .basket img{
    z-index: 100;
    position: relative;
    top: 10px;
    left: 50px;
    width : 50px;
    height: 50px;
  }
  
  .basket-labels{
    width: 170px;
    flex-direction: column;
  }

  .basket-labels p{
    font-size: 16px;
    padding: 8px 0 0 0;
  }
  
  .contact-location p{
    display: none;
    position: absolute;

  }

  .most-popular{
    display: initial;
  }

  .most-popular > div > img{
    width: 100%;
  }

  .fruit-content{
    display: none;
    position: absolute;

  }

  .staples-container {
    flex-direction: column;
    
  }

  .staples-container > div{
    width: 96%;
    margin-left: 2%;
  }

  .staples-container > div > img{
    width: 100%;
  }
  
  .snack-container {
    flex-direction: column;
    
  }

  .snack-container > div{
    width: 96%;
    margin-left: 2%;
  }

  .snack-container > div > img{
    width: 100%;
  }

  .read-more{
      margin-left: 30%;
  }
  


  .groceries-container{
    margin: 0 0% 0% 0%;
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;

    background-color: #FFFAF0;
  }

  .product-card{
    width: 100%;
    background-color: white;
    border-radius: 20px;
    height: 320px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 40px 40px 0px 21px;

  }

  .image-container{
    display: flex;
    height: 100%;
    justify-content: center;
  }

  .image-container > img{
    width:140px;
    height: 140px;
    object-fit: fill;
    padding: 10px;
    
  }

  .add-cartButton{
    width: 40px;
    height: 40px;
    margin-bottom: 0px;

  }


.add-cart{
  font-weight: 700;
  width: 100%;
  background-color: #9ACD32;
  border-radius: 10px 0 0 10px ;
  margin-left: none;
  margin-right: auto;
  border: none;
  font-size: 22px;
}


.label-name{
  font-size: 16px;
  font-weight: 700;
}

.label-category{
  font-size: 12px;
  color: grey;
  font-weight: 700;
}

.label-price{
  font-size: 16px;
  font-weight: 700;
  color: #9ACD32;
}

.label-rating{
  font-size: 12px;
  font-weight: 700;
  margin-left: 20px;

}

.cart-container{
  padding: 0 10% 4% 10%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #f6f6f6;
}

.cart-container > :nth-child(1){
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.price-labels p{
  font-size: 10px;
}

.cart-container >:nth-child(2){
  position: absolute;

  display: none;
  position: sticky;
  bottom: 0px;
  background-color: #9ACD32;
  border-radius: 0px;
  width: 100%;
  height: 60px;

}

.cart-item{
  margin: 50px 10px;
  border: 2px solid black;
  border-radius: 5px;
  height: 350px;
  display: flex;
  flex-direction: column;
}

.price-labels{
  padding: 2%;
  width: 30%;
  display: flex;
  flex-direction: column;
  margin-top: 3%;

}

.check-out{
  width: 80%;

}

.check-out > button{
  display: none;
  position: absolute;

  margin-top: 50px;
  margin-left: 10%;
  background-color: #9ACD32;
  width: 100%;
  padding: 10px;
  border-radius: 10px;
  border: none;
  color: white;
  font-weight: 700;
}
.check-out > button:hover{
  color: #9ACD32;
  background-color: white;
}

.delete-cartButton{
  display: flex;
  width:40px;
  height: 40px;
  font-size: 26px;
  font-weight: 700;
}

.qty{
  font-size: 16px;
}

}